<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__channel__map__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_channel_map_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__channel__map__info__t_1a51d588e0287814c5269b1fca7eae2b9a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_channel_map_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="575" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="575" />
      </memberdef>
      <memberdef id="structcy__stc__ble__channel__map__info__t_1a6fe3ce344e3e83094e2612872fc1d097" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_channel_map_info_t::channelMap</definition>
        <argsstring />
        <name>channelMap</name>
        <briefdescription>
<para>This parameter contains a five-octet byte stream in little endian format. </para>        </briefdescription>
        <detaileddescription>
<para>Least significant byte of this stream corresponds to bit fields 0 to 7 and the most significant byte of this stream corresponds to bit fields 32 to 36. The nth bit field (in the range 0 to 36) contains the value for the link layer channel index n. Allowed values and their interpretation are,<itemizedlist>
<listitem><para>0x00u - Channel 'n' is bad.</para></listitem><listitem><para>0x01u - Channel 'n' is unknown. The most significant bits (37 to 39) are reserved and will be set to 0. At least one channel will be marked as unknown. For example-</para></listitem><listitem><para>expected byte stream = XX XX XX XX 1F</para></listitem><listitem><para>not expected byte stream = XX XX XX XX 10, XX XX XX XX 2f MSB 3 bits should be not set. (1F is most significant byte in this case) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="592" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="592" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Channel Map Parameters Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="594" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="572" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="573" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__channel__map__info__t_1a51d588e0287814c5269b1fca7eae2b9a" virt="non-virtual"><scope>cy_stc_ble_channel_map_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__channel__map__info__t_1a6fe3ce344e3e83094e2612872fc1d097" virt="non-virtual"><scope>cy_stc_ble_channel_map_info_t</scope><name>channelMap</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>